User (Object)
Includes details about the users who are registered on a particular business
- accountType: string Format: date-time
_created _at This value is set when a guest account is created on the Punchh Platform and varies depending on business configurations. For example:
- If an eClub account is created with a historical registration date, that specific date is returned in this parameter.
- If guest data is migrated from a previous platform and includes a registration date, the system creates the guest account with this registration date from the prior system, and the API returns that date in this parameter.
- addressType: string
Address of the user
- ageType: boolean
_verified _status Whether or not the user has undergone age verification by Koupon Media. Possible Values: true, false. The value is set to true if the user's age is verified by Koupon Media; otherwise, it is set to false. The response returns this parameter in sign-in, sign-up, and user update APIs if Koupon Media is selected as the age verification adapter for the business in the Punchh platform. Contact your Punchh representative to update this configuration.
- anniversaryType: string
Anniversary date of the user, in YYYY-MM-DD format
- appleType: string Format: uri
_pass _url URL that a user can use to download the user's associated loyalty Apple pass
- appleType: boolean
_signup Whether the user has an Apple sign-up or not. This will return true for the first time sign-up.
- appleType: string
_uid Unique ID generated by Apple
- avatarType: string
_remote _url URL of the user's profile image uploaded to an online file storage system. This will be used for users who signed up using email.
- birthdayFormat: date-timeenumconst:YYYY-MM-DD
Date of birth of the user, in YYYY-MM-DD format
values- Y
Y Y Y - M M - D D
- cityType: string
City where the user lives
- communicableType: string
_email Email address used for communication with the user
- createdFormat: date-timeenum
_at const:YYYY-MM-DDThh:mm:ssZDate/time when the user was created in the system, in ISO 8601 format
values- Y
Y Y Y - M M - D D Thh:mm:ss Z
- emailType: string
Unique email address used to identify the user
- emailType: boolean
_verified Whether the email address of the user has been verified or not
- facebookType: boolean
_signup Indicates whether the user signed up using Facebook. This parameter returns true the first time a user signs up in the mobile app using Facebook. For all subsequent logins, it returns a null value.
- favouriteType: string
_locations List of the user's favorite locations
- favouriteType: string
_store _numbers List of store numbers of the user's favorite locations
- fbType: string
_uid Facebook ID that identifies the user
- firstType: string
_name First name of the user
- genderType: string
Gender of the user
- googleType: string Format: uri
_pass _url URL that a user can use to download the user's associated loyalty Google pass
- hasType: boolean
_generated _fb _email Whether the user has generated a Facebook email or not
- lastType: string
_name Last name of the user
- marketingType: boolean
_email _subscription Whether the user has subscribed to receive marketing emails or not
- marketingType: boolean
_pn _subscription Whether the user has subscribed to marketing push notifications or not
- migrateType: boolean
_status Whether the user has a migrate status or not
- passcodeType: boolean
_configured _for _giftcards Whether the user has configured a passcode for gift cards or not
- phoneType: string
Phone number of the user
- profileType: object · Profile Field Answers (Object)
_field _answers Answers given by the user while filling in the user profile. The user submits answers to profile field questions that are configured in the Punchh platform. A total of 25 answers can be submitted. The keys range from 'upf0' to 'upf24'. If questions have multiple answers, the values should be separated by a | character (pipe).
- upf0Type: string
Each profile field (upf0 - upf24) corresponds to a line from the configuration in the Punchh platform.
- upf1Type: string
Each profile field (upf0 - upf24) corresponds to a line from the configuration in the Punchh platform.
- upf2Type: string
Each profile field (upf0 - upf24) corresponds to a line from the configuration in the Punchh platform.
- referralType: string
_code Referral code of the user. A user can refer others to join the business loyalty program by sharing this referral code. When a referred user signs up and enters the shared referral code in the mobile app, this
referral_codemust be passed in theinvite_coderequest parameter when calling the Sign up / Register API. - referralType: string
_path Referral URL of the user
- secondaryType: string
_email The secondary email address of the user is configured when a user signs up with Facebook/Apple but does not share the email address. The app asks for an alternate email address, which is kept as the
secondary_email. - smsType: boolean
_subscription Whether the user has subscribed to SMS services or not
- stateType: string
State where the user lives
- superuserType: boolean
Whether multiple check-ins are allowed for a user. This is used mostly for testing purposes by developers.
- termsType: boolean
_and _conditions Whether the terms and conditions of a business have been accepted by a user or not
- titleType: string
Salutation as selected by the user
- updatedFormat: date-timeenum
_at const:YYYY-MM-DDThh:mm:ssZDate/time when the user was updated in the system, in ISO 8601 format
values- Y
Y Y Y - M M - D D Thh:mm:ss Z
- userType: string
_as _barcode Barcode that identifies the user
- userType: string
_as _qrcode QR code that identifies the user
- userType: string
_code A unique ID that identifies the user. This smaller code can be converted to a QR code in the app and scanned at some POS systems that do not support longer codes. Alternatively, a user could give this to the POS operator if the POS does not have a scanner.
- userType: integer
_id ID that identifies the user
- userType: string Format: date-time
_joined _at Date and time when the user became a loyalty member
- userType: array string[] enum
_relations Relatives of the user. Valid values are "kid" and "spouse".
values- kid
- spouse
- verification
_mode Mode of verification (available only for a user in awaiting migration state)
- zipType: string
_code Zip code where the user lives
{
"address": "",
"anniversary": "2013-02-16",
"avatar_remote_url": null,
"birthday": "1999-01-01",
"city": "",
"communicable_email": "test@example.com",
"created_at": "2019-01-11T09:08:25Z",
"email": "test@example.com",
"email_verified": false,
"facebook_signup": null,
"apple_signup": null,
"apple_uid": null,
"favourite_location_ids": "306082,333070,304374",
"favourite_store_numbers": "12345,0604,1234",
"fb_uid": null,
"first_name": "FIRST_NAME_GOES_HERE",
"gender": "",
"has_generated_fb_email": false,
"last_name": "LAST_NAME_GOES_HERE",
"marketing_email_subscription": true,
"marketing_pn_subscription": true,
"migrate_status": false,
"passcode_configured_for_giftcards": false,
"phone": "1111111111",
"profile_field_answers": {
"test1": "Option 1"
},
"referral_code": "REFERRAL_CODE_GOES_HERE",
"referral_path": "URL_GOES_HERE",
"secondary_email": "",
"state": "",
"superuser": false,
"terms_and_conditions": true,
"title": "",
"updated_at": "2020-04-29T04:18:24Z",
"user_as_qrcode": "QR_CODE_GOES_HERE",
"user_code": "P11111111",
"user_id": 111111111,
"preferred_locale": "en",
"user_relations": [],
"zip_code": null,
"verification_mode": null,
"sms_subscription": true,
"apple_pass_url": "APPLE_PASS_URL_GOES_HERE",
"google_pass_url": "GOOGLE_PASS_URL_GOES_HERE",
"user_joined_at": "2019-01-11T09:08:25Z"
}